/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_OperatorSurfaceWave_h__
#define __operator_OperatorSurfaceWave_h__

namespace fe
{

/**************************************************************************//**
    @brief Apply Wave Effect to a Surface

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT OperatorSurfaceWave: public Catalog,
	public OperatorSurfaceCommon,
	public Initialize<OperatorSurfaceWave>
{
	public:
				OperatorSurfaceWave(void)	{ feLog("OperatorSurfaceWave\n"); }
virtual			~OperatorSurfaceWave(void)	{ feLog("~OperatorSurfaceWave\n"); }

		void	initialize(void);

				//* As HandlerI
virtual void	handle(Record& a_rSignal);
};

} // namespace

#endif /* __operator_OperatorSurfaceWave_h__ */
