/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __grass_OperatorLengthCorrect_h__
#define __grass_OperatorLengthCorrect_h__

namespace fe
{

/**************************************************************************//**
	@brief Handler to resize curve segments to match an original

	@ingroup grass
*//***************************************************************************/
class FE_DL_EXPORT OperatorLengthCorrect: public Catalog,
	public Initialize<OperatorLengthCorrect>,
	public OperatorSurfaceCommon
{
	public:

					OperatorLengthCorrect(void)								{}
virtual				~OperatorLengthCorrect(void)							{}

		void		initialize(void);

					//* As HandlerI
virtual	void		handle(Record& a_rSignal);

	private:
};

} /* namespace */

#endif /* __grass_OperatorLengthCorrect_h__ */
