import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"Blade",
				"OperatorBlade",
				"OperatorDodge",
				"OperatorLengthCorrect",
				"OperatorTwistBind",
				"OperatorTwistWrap",
				"grassDL" ]

	dll = module.DLL( "fexGrassDL", srcList )

	deplibs = forge.corelibs + [
				"feSignalLib",
				"fexMathLib",
				"fexOperatorDLLib",
				"fexDataToolDLLib"]

	forge.deps( ["fexGrassDLLib"], deplibs )

	forge.tests += [
			("inspect.exe",		"fexGrassDL",				None,		None) ]

	module.Module( 'test' )
