import sys
forge = sys.modules["forge"]

import os.path

def setup(module):

	deplibs =	forge.corelibs + [
				"feSignalLib",
				"fexDataToolDLLib" ]

	tests = [ ]

	if os.path.exists('../viewer'):
		deplibs += [ "fexViewerDLLib" ]

		tests += [	'xImage' ]

		forge.tests += [
			("xImage.exe",	"fexImageDL 10",					None,	None) ]
	else:
		sys.stdout.write("-viewer ")

	for t in tests:
		exe = module.Exe(t)
		forge.deps([t + "Exe"], deplibs)
