/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_OperatorSurfaceCopy_h__
#define __operator_OperatorSurfaceCopy_h__

namespace fe
{

/**************************************************************************//**
    @brief Copy first input surface onto points of second surface

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT OperatorSurfaceCopy: public Catalog,
	public OperatorSurfaceCommon,
	public Initialize<OperatorSurfaceCopy>
{
	public:
				OperatorSurfaceCopy(void)	{ feLog("OperatorSurfaceCopy\n"); }
virtual			~OperatorSurfaceCopy(void)	{ feLog("~OperatorSurfaceCopy\n"); }

		void	initialize(void);

				//* As HandlerI
virtual void	handle(Record& a_rSignal);
};

} // namespace

#endif /* __operator_OperatorSurfaceCopy_h__ */
