/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operator_OperatorSurfaceCurve_h__
#define __operator_OperatorSurfaceCurve_h__

namespace fe
{

/**************************************************************************//**
    @brief Create a basic curve

	@ingroup operator
*//***************************************************************************/
class FE_DL_EXPORT OperatorSurfaceCurve: public Catalog,
	public OperatorSurfaceCommon,
	public Initialize<OperatorSurfaceCurve>
{
	public:
				OperatorSurfaceCurve(void)
				{	feLog("OperatorSurfaceCurve\n"); }
virtual			~OperatorSurfaceCurve(void)
				{	feLog("~OperatorSurfaceCurve\n"); }

		void	initialize(void);

				//* As HandlerI
virtual void	handle(Record& a_rSignal);
};

} // namespace

#endif /* __operator_OperatorSurfaceCurve_h__ */
