import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"operator.pmh",
				"OperatorContext",
				"OperatorDrawTest",
				"OperatorSurfaceAttrCreate",
				"OperatorSurfaceCopy",
				"OperatorSurfaceCurve",
				"OperatorSurfaceSummary",
				"OperatorSurfaceWave",
				"OperatorThreaded",
				"operatorDL" ]

	dll = module.DLL( "fexOperatorDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib"	]

	forge.deps( ["fexOperatorDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOperatorDL",					None,	None) ]

	module.Module('test')
